const DayEmitter = require("./modules/DayEmitter");
const EnergyTracker = require("./modules/EnergyTracker");

const starting_energy = 2000;
const known_appliances = require("./data/appliances.json");
const day_emitter = new DayEmitter(2400);

const energy_tracker = new EnergyTracker({starting_energy, known_appliances, day_emitter});

energy_tracker.on("empty", (energy) => console.log(`Not Enough Energy`));
energy_tracker.on("critical", (energy) => console.log(`Systems Critical: ${energy} kwh left`));
energy_tracker.on("low", (energy) => console.log(`Energy Low: ${energy} kwh left`));
energy_tracker.on("normal", (energy) => console.log(`All systems normal: ${energy} kwh left`));

energy_tracker.install("dryer");
energy_tracker.install("refrigerator");

day_emitter.start();



// Keyboard Events
/*
const readline = require("readline");
readline.emitKeypressEvents(process.stdin);
process.stdin.setRawMode(true);

process.stdin.on('keypress', (character, keypress) => {
  	if (character === 'e') {
		energy_tracker.install("solarpanel");
	}
	else if (keypress.name === 'c' && keypress.ctrl === true) {
		process.exit(0);
	}
});
*/